Bug 3201 - testTaskForkedObserver and testBlockingFibonacciFork hang rawhide ppc64 box
Summary: testTaskForkedObserver and testBlockingFibonacciFork hang rawhide ppc64 box
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Andrew Cagney
URL:
Keywords:
Depends on:
Blocks: 2188
  Show dependency treegraph
 
Reported: 2006-09-14 08:05 UTC by Yao Qi
Modified: 2006-11-21 21:45 UTC (History)
2 users (show)

See Also:
Host: powerpc64-redhat-linux-gnu
Target: powerpc64-redhat-linux-gnu
Build: powerpc64-redhat-linux-gnu
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yao Qi 2006-09-14 08:05:31 UTC
[qiyao@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.17-1.2630.fc6 #1 SMP Wed Sep 6 17:17:26 EDT 2006
ppc64 ppc64 ppc64 GNU/Linux
[qiyao@localhost ~]$ gcj -v
Using built-in specs.
Reading specs from /usr/lib/gcc/ppc64-redhat-linux/4.1.1/libgcj.spec
rename spec startfile to startfileorig
rename spec lib to liborig
Target: ppc64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,obj-c++,java,fortran --enable-java-awt=gtk
--disable-dssi --enable-plugin
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --enable-secureplt
--with-long-double-128 --host=ppc64-redhat-linux --build=ppc64-redhat-linux
--target=ppc64-redhat-linux --with-cpu=default32
Thread model: posix
gcc version 4.1.1 20060828 (Red Hat 4.1.1-20)


The box is hang when running testTaskForkedObserver,
....
Running testTaskCloneObserver(frysk.proc.TestTaskClonedObserver)
...pthread_create: Success
FAIL
  junit.framework.AssertionFailedError: number of clones expected:<176> but was:<0>
Running testTaskForkedObserver(frysk.proc.TestTaskForkedObserver) ...Read from
remote host 9.186.65.224: Connection reset by peer
Connection to 9.186.65.224 closed.

The box is alos hang here,
....
Running testBlockingFibonacciClone(frysk.proc.TestTaskObserverBlocked)
...pthread_create: Success
FAIL
  junit.framework.AssertionFailedError: number of times spawnObserver added
expected:<177> but was:<1>
Running testBlockingFibonacciFork(frysk.proc.TestTaskObserverBlocked) ...
Comment 1 Yao Qi 2006-09-22 02:56:45 UTC
Update kernel on rawhile.
These two cases do not hang box any more, but still failed.

[qiyao@localhost ~/build-frysk/frysk-core]$ uname -a
Linux localhost.localdomain 2.6.18-1.2679.fc6 #1 SMP Wed Sep 20 01:12:07 EDT
2006 ppc64 ppc64 ppc64 GNU/Linux

Close this bug, and open new bugs against these test cases failures.

Comment 2 Yao Qi 2006-09-22 03:37:50 UTC
Oops!  
testBlockingFibonacciFork hang the box again, and reopen this bug!
Comment 3 Yao Qi 2006-10-11 10:22:59 UTC
Update kernel to 2.6.18-1.2747.fc6, and all these two cases do not hang ppc64 box.

[qiyao@localhost ~/build-frysk/frysk-core]$ uname -a
Linux localhost.localdomain 2.6.18-1.2747.fc6 #1 SMP Fri Oct 6 18:09:54 EDT 2006
ppc64 ppc64 ppc64 GNU/Linux

[qiyao@localhost ~/build-frysk/frysk-core]$ ./TestRunner
frysk.proc.TestTaskObserverBlocked
frysk.proc.TestTaskObserverBlocked
Running testGetBlockers(frysk.proc.TestTaskObserverBlocked) ...PASS
Running testBlockedCloneUnblockChildFirst(frysk.proc.TestTaskObserverBlocked)
...PASS
Running testBlockedCloneUnblockParentFirst(frysk.proc.TestTaskObserverBlocked)
...PASS
Running testBlockedForkUnblockChildFirst(frysk.proc.TestTaskObserverBlocked) ...PASS
Running testBlockedForkUnblockParentFirst(frysk.proc.TestTaskObserverBlocked)
...PASS
Running testRefreshAfterUnblockedForkExits(frysk.proc.TestTaskObserverBlocked)
...PASS
Running testAddObserverAfterUnblock(frysk.proc.TestTaskObserverBlocked) ...PASS
Running testBlockingFibonacciClone(frysk.proc.TestTaskObserverBlocked)
...pthread_create: Success
FAIL
  junit.framework.AssertionFailedError: number of times spawnObserver added
expected:<177> but was:<1>
Running testBlockingFibonacciFork(frysk.proc.TestTaskObserverBlocked) ...PASS
Running testUnblockRunning(frysk.proc.TestTaskObserverBlocked) ...PASS

Time: 1.051
There was 1 failure:
1)
testBlockingFibonacciClone(frysk.proc.TestTaskObserverBlocked)junit.framework.AssertionFailedError:
number of times spawnObserver added expected:<177> but was:<1>
   at frysk.proc.TestTaskObserverBlocked$BlockingFibonacci.<init>(TestRunner)
   at frysk.proc.TestTaskObserverBlocked$4$CloneFibonacci.<init>(TestRunner)
   at frysk.proc.TestTaskObserverBlocked.testBlockingFibonacciClone(TestRunner)
   at frysk.junit.Runner.runCases(TestRunner)
   at frysk.junit.Runner.runArchCases(TestRunner)
   at TestRunner.main(TestRunner)

FAILURES!!!
Tests run: 10,  Failures: 1,  Errors: 0